Bug 128069 (NetworkGUIcrash) - Network GUI crashes upon entry
Summary: Network GUI crashes upon entry
Status: CLOSED CANTFIX
Alias: NetworkGUIcrash
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
(Show other bugs)
Version: 2
Hardware: i686 Linux
medium
high
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-07-16 23:08 UTC by Matt Bisgaier
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-16 13:54:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Matt Bisgaier 2004-07-16 23:08:33 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
Network config GUI crashed once while trying to set up wireless, and
now will not open at all. The dump is included.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Launcher >
2. System Settings >
3. Network
    

Actual Results:  Component: system-config-network
Version: 1.3.16
Summary: TB8d0a9083 Conf.py:344:initvars:Conf.IndexError: end quote
not found in //etc/sysconfig/networking/devices/ifcfg-eth1:ESSID
Traceback (most recent call last):
  File "/usr/sbin/system-config-network-gui", line 160, in main
    window = mainDialog()
  File
"/usr/src/build/377922-noarch/install/usr/share/system-config-network/netconfpkg/gui/maindialog.py",
line 263, in __init__
  File
"/usr/src/build/377922-noarch/install/usr/share/system-config-network/netconfpkg/gui/maindialog.py",
line 295, in load
  File
"/usr/src/build/377922-noarch/install/usr/share/system-config-network/netconfpkg/gui/maindialog.py",
line 303, in loadDevices
  File
"/usr/src/build/377922-noarch/install/usr/share/system-config-network/netconfpkg/NCDeviceList.py",
line 288, in getDeviceList
  File
"/usr/src/build/377922-noarch/install/usr/share/system-config-network/netconfpkg/NCDeviceList.py",
line 58, in load
  File
"/usr/src/build/377922-noarch/install/usr/share/system-config-network/netconfpkg/NCDevice.py",
line 49, in __init__
  File "/usr/lib/python2.3/site-packages/rhpl/Conf.py", line 320, in
__init__
    separators='=', separator='=')
  File "/usr/lib/python2.3/site-packages/rhpl/Conf.py", line 181, in
__init__
    self.read()
  File "/usr/lib/python2.3/site-packages/rhpl/Conf.py", line 324, in read
    self.initvars()
  File "/usr/lib/python2.3/site-packages/rhpl/Conf.py", line 344, in
initvars
    raise IndexError, 'end quote not found in '+self.filename+':'+var[0]
Conf.IndexError: end quote not found in
//etc/sysconfig/networking/devices/ifcfg-eth1:ESSID

Local variables in innermost frame:
var: ['ESSID', 'mattster\xa4\x91\x8b\x11N1g\x14\xc2\xeax\x1a%\xcb\xd5']
p: -24
self: <netconfpkg.NCDevice.ConfDevice instance at 0xf6a81fec>
quote: '


Expected Results:  The network configuration GUI should have opened.

Additional info:

I was in the process of configuring wireless when this occured. My
chipset is a Broadcom 1180 and is not, by default, compatible with
linux. I was using driverloader from linuxant.com to load the 1180
chipset drivers.

Comment 1 Harald Hoyer 2004-07-26 15:21:18 UTC
could you please attach
/etc/sysconfig/networking/devices/ifcfg-eth1:ESSID ??

Comment 2 Harald Hoyer 2005-09-16 13:54:31 UTC
CANTFIX without more information, closed due to inactivity.


Note You need to log in before you can comment on or make changes to this bug.